package com.ruoyi.system.domain.visit.dr;

import java.io.Serializable;

public class VisitDrTaskCompany implements Serializable {
    private String id;

    private String taskId;

    private String companyId;

    private String companyName;

    private String addTime;

    private String extfieldOne;

    private String extfieldTwo;

    private String extfieldThree;

    private String extfieldFour;

    private String extfieldFive;

    private String extfieldSix;

    private String extfieldSeven;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getAddTime() {
        return addTime;
    }

    public void setAddTime(String addTime) {
        this.addTime = addTime;
    }

    public String getExtfieldOne() {
        return extfieldOne;
    }

    public void setExtfieldOne(String extfieldOne) {
        this.extfieldOne = extfieldOne;
    }

    public String getExtfieldTwo() {
        return extfieldTwo;
    }

    public void setExtfieldTwo(String extfieldTwo) {
        this.extfieldTwo = extfieldTwo;
    }

    public String getExtfieldThree() {
        return extfieldThree;
    }

    public void setExtfieldThree(String extfieldThree) {
        this.extfieldThree = extfieldThree;
    }

    public String getExtfieldFour() {
        return extfieldFour;
    }

    public void setExtfieldFour(String extfieldFour) {
        this.extfieldFour = extfieldFour;
    }

    public String getExtfieldFive() {
        return extfieldFive;
    }

    public void setExtfieldFive(String extfieldFive) {
        this.extfieldFive = extfieldFive;
    }

    public String getExtfieldSix() {
        return extfieldSix;
    }

    public void setExtfieldSix(String extfieldSix) {
        this.extfieldSix = extfieldSix;
    }

    public String getExtfieldSeven() {
        return extfieldSeven;
    }

    public void setExtfieldSeven(String extfieldSeven) {
        this.extfieldSeven = extfieldSeven;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", taskId=").append(taskId);
        sb.append(", companyId=").append(companyId);
        sb.append(", companyName=").append(companyName);
        sb.append(", addTime=").append(addTime);
        sb.append(", extfieldOne=").append(extfieldOne);
        sb.append(", extfieldTwo=").append(extfieldTwo);
        sb.append(", extfieldThree=").append(extfieldThree);
        sb.append(", extfieldFour=").append(extfieldFour);
        sb.append(", extfieldFive=").append(extfieldFive);
        sb.append(", extfieldSix=").append(extfieldSix);
        sb.append(", extfieldSeven=").append(extfieldSeven);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        VisitDrTaskCompany other = (VisitDrTaskCompany) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getTaskId() == null ? other.getTaskId() == null : this.getTaskId().equals(other.getTaskId()))
            && (this.getCompanyId() == null ? other.getCompanyId() == null : this.getCompanyId().equals(other.getCompanyId()))
            && (this.getCompanyName() == null ? other.getCompanyName() == null : this.getCompanyName().equals(other.getCompanyName()))
            && (this.getAddTime() == null ? other.getAddTime() == null : this.getAddTime().equals(other.getAddTime()))
            && (this.getExtfieldOne() == null ? other.getExtfieldOne() == null : this.getExtfieldOne().equals(other.getExtfieldOne()))
            && (this.getExtfieldTwo() == null ? other.getExtfieldTwo() == null : this.getExtfieldTwo().equals(other.getExtfieldTwo()))
            && (this.getExtfieldThree() == null ? other.getExtfieldThree() == null : this.getExtfieldThree().equals(other.getExtfieldThree()))
            && (this.getExtfieldFour() == null ? other.getExtfieldFour() == null : this.getExtfieldFour().equals(other.getExtfieldFour()))
            && (this.getExtfieldFive() == null ? other.getExtfieldFive() == null : this.getExtfieldFive().equals(other.getExtfieldFive()))
            && (this.getExtfieldSix() == null ? other.getExtfieldSix() == null : this.getExtfieldSix().equals(other.getExtfieldSix()))
            && (this.getExtfieldSeven() == null ? other.getExtfieldSeven() == null : this.getExtfieldSeven().equals(other.getExtfieldSeven()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getTaskId() == null) ? 0 : getTaskId().hashCode());
        result = prime * result + ((getCompanyId() == null) ? 0 : getCompanyId().hashCode());
        result = prime * result + ((getCompanyName() == null) ? 0 : getCompanyName().hashCode());
        result = prime * result + ((getAddTime() == null) ? 0 : getAddTime().hashCode());
        result = prime * result + ((getExtfieldOne() == null) ? 0 : getExtfieldOne().hashCode());
        result = prime * result + ((getExtfieldTwo() == null) ? 0 : getExtfieldTwo().hashCode());
        result = prime * result + ((getExtfieldThree() == null) ? 0 : getExtfieldThree().hashCode());
        result = prime * result + ((getExtfieldFour() == null) ? 0 : getExtfieldFour().hashCode());
        result = prime * result + ((getExtfieldFive() == null) ? 0 : getExtfieldFive().hashCode());
        result = prime * result + ((getExtfieldSix() == null) ? 0 : getExtfieldSix().hashCode());
        result = prime * result + ((getExtfieldSeven() == null) ? 0 : getExtfieldSeven().hashCode());
        return result;
    }
}